hfmoller

Members
  • Content Count

    3
  • Joined

  • Last visited

Community Reputation

0 Neutral

About hfmoller

  • Rank
    Newbie
  1. Hi It appears that todays (November26) release seem not supported by earlier versions of windows other than Windows NT platforms. I downloaded the latest version as prompted by the update notification and get the message: "...a newer version of Windows is expected...". I am running Windows Millennium... Thank you for any assistance!